Loading...
Searching...
No Matches
devsettings::Modbus::SerialSettings Struct Reference

Modbus/serial settings. More...

## Public Attributes

boolean | enabled
| Enable the Modbus/RTU service.
int | baudrate
| Baudrate.
Parity | parity
| Parity.
int | stopbits
| Number of stop bits (1 or 2)
boolean | readonly
| Disallow write requests.

## Detailed Description

Modbus/serial settings.

Definition at line 42 of file Modbus.idl.

## Member Data Documentation

## baudrate

int devsettings::Modbus::SerialSettings::baudrate

Baudrate.

Definition at line 44 of file Modbus.idl.

## enabled

boolean devsettings::Modbus::SerialSettings::enabled

Enable the Modbus/RTU service.

Definition at line 43 of file Modbus.idl.

## parity

Parity devsettings::Modbus::SerialSettings::parity

Parity.

Definition at line 45 of file Modbus.idl.

## readonly

boolean devsettings::Modbus::SerialSettings::readonly

Disallow write requests.

Definition at line 47 of file Modbus.idl.

## stopbits

int devsettings::Modbus::SerialSettings::stopbits

Number of stop bits (1 or 2)

Definition at line 46 of file Modbus.idl.

The documentation for this struct was generated from the following file:

- Modbus.idl